{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "skd:agua_explosion",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/agua_explosion"
			}
		},
		"events": {
			"explosion": {
				"particle_effect": {
					"effect": "skd:agua_explosion_1",
					"type": "particle"
				}
			}
		},
		"components": {
			"minecraft:emitter_rate_manual": {
				"max_particles": 1
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 1
			},
			"minecraft:emitter_shape_point": {},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 1
			},
			"minecraft:particle_expire_if_not_in_blocks": ["minecraft:water"],
			"minecraft:particle_initial_spin": {
				"rotation": "math.random(-360,360)"
			},
			"minecraft:particle_appearance_billboard": {
				"size": [5, 5],
				"facing_camera_mode": "direction_z",
				"direction": {
					"mode": "custom",
					"custom_direction": [0, -1, 0]
				},
				"uv": {
					"texture_width": 32,
					"texture_height": 256,
					"flipbook": {
						"base_UV": [0, 0],
						"size_UV": [32, 32],
						"step_UV": [0, 32],
						"frames_per_second": 16,
						"max_frame": 9
					}
				}
			},
			"minecraft:particle_lifetime_events": {
				"timeline": {
				  "0.0": "explosion",
				  "0.5": "explosion",
				  "1.0": "explosion",
				  "1.5": "explosion",
				  "2.0": "explosion",
				  "2.5": "explosion",
				  "3.0": "explosion",
				  "3.5": "explosion",
				  "4.0": "explosion",
				  "4.5": "explosion",
				  "5.0": "explosion",
				  "5.5": "explosion",
				  "6.0": "explosion",
				  "6.5": "explosion",
				  "7.0": "explosion",
				  "7.5": "explosion",
				  "8.0": "explosion"
				}
			  },
			"minecraft:particle_appearance_lighting": {}
		}
	}
}